[glibmm] tools: Improve the testheaders.sh script.
- From: Kjell Ahlstedt <kjellahl src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [glibmm] tools: Improve the testheaders.sh script.
- Date: Tue, 21 May 2013 14:26:58 +0000 (UTC)
commit ab277aac48ded3783697c9642062109cbff58a3a
Author: Kjell Ahlstedt <kjell ahlstedt bredband net>
Date: Tue May 21 16:19:36 2013 +0200
tools: Improve the testheaders.sh script.
* tools/test_scripts/testheaders.sh: Stop if pkg-config fails.
ChangeLog | 6 ++++++
tools/test_scripts/testheaders.sh | 5 +++++
2 files changed, 11 insertions(+), 0 deletions(-)
---
diff --git a/ChangeLog b/ChangeLog
index a586cf3..4c626ab 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2013-05-21 Kjell Ahlstedt <kjell ahlstedt bredband net>
+
+ tools: Improve the testheaders.sh script.
+
+ * tools/test_scripts/testheaders.sh: Stop if pkg-config fails.
+
2013-05-18 Kjell Ahlstedt <kjell ahlstedt bredband net>
tools: Add the testheaders.sh script.
diff --git a/tools/test_scripts/testheaders.sh b/tools/test_scripts/testheaders.sh
index f91a9f5..b6de397 100755
--- a/tools/test_scripts/testheaders.sh
+++ b/tools/test_scripts/testheaders.sh
@@ -60,6 +60,11 @@ do
done
CFLAGS="$idirs `pkg-config --cflags $pkg`"
+if [ $? -ne 0 ]
+then
+ echo "pkg-config failed"
+ usage
+fi
echo CFLAGS=$CFLAGS
# Compile the specified files
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]